Magick++: Magick::floodFillTextureImage Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::floodFillTextureImage Class Reference

`#include <STL.h>`

## Public Member Functions
| floodFillTextureImage (const ::ssize_t x_, const ::ssize_t y_, const Image &texture_, const bool invert_=false)
| floodFillTextureImage (const Geometry &point_, const Image &texture_, const bool invert_=false)
| floodFillTextureImage (const ::ssize_t x_, const ::ssize_t y_, const Image &texture_, const Color &borderColor_, const bool invert_=false)
| floodFillTextureImage (const Geometry &point_, const Image &texture_, const Color &borderColor_, const bool invert_=false)
void | operator() (Image &image_) const

## Detailed Description

Definition at line 508 of file STL.h.

## Constructor & Destructor Documentation

## ◆ floodFillTextureImage() [1/4]

Magick::floodFillTextureImage::floodFillTextureImage | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Image & | texture_,
|  | const bool | invert_ = `false`
| ) |  |

## ◆ floodFillTextureImage() [2/4]

Magick::floodFillTextureImage::floodFillTextureImage | ( | const Geometry & | point_,
|  | const Image & | texture_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 480 of file STL.cpp.

## ◆ floodFillTextureImage() [3/4]

Magick::floodFillTextureImage::floodFillTextureImage | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Image & | texture_,
|  | const Color & | borderColor_,
|  | const bool | invert_ = `false`
| ) |  |

## ◆ floodFillTextureImage() [4/4]

Magick::floodFillTextureImage::floodFillTextureImage | ( | const Geometry & | point_,
|  | const Image & | texture_,
|  | const Color & | borderColor_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 502 of file STL.cpp.

## Member Function Documentation

## ◆ operator()()

void Magick::floodFillTextureImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 513 of file STL.cpp.

References Magick::Image::floodFillTexture().

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp